<?php

$it = __('ipernity error message was “%s”', 'iperss');
$usererror = __('Unknown user name given. Please check if you entered your user name correctly.', 'iperss');
$nousererror = __('No username given. Please check widget configuration', 'iperss');
$unhandlederror = __('An unhandled error occured. Please contact plugin author at given mail address', 'iperss');
$poweredbylink = __('powered by ipeRSS', 'iperss');


if (!function_exists('gettn')) {
	function gettn($item, $imgsize) {
		if ($imgsize == 't') {
			$tn = $item->get_enclosure()->get_thumbnail(1);
			return str_replace('.100.jpg', '.t.jpg', $tn);
		}
		if ($imgsize == 100) {
			return $item->get_enclosure()->get_thumbnail(1);
		}
		if ($imgsize == 240) {
			return $item->get_enclosure()->get_thumbnail(0);
		}
		if ($imgsize == 1024) {
			return $item->get_enclosure()->get_link();
		}
	}
}


if ($instance['defaultcss'] == 'y')
	$default = ' iperssdefault';
if ($instance['customcss'] == 'y')
	$custom = ' ipersscustom';


$ret = ''; # return value


if($instance['user']) {
	$id = $instance['user'];
	$uri = 'http://api.ipernity.com/feed/doc?user_id='.
		$id.'&only=&format=rss&lang='.$instance['lang'];

	if ($f = fetch_feed($uri)) {
		$output = true;
		if ($f->get_link() == 'http://www.ipernity.com/help/feeds') {
			$errormsg = '<p>'.$usererror.'</p>'.
			$output = false;
		}
		$link = $f->get_link();
		$user = $f->get_title();
	}
}
else {
	$errormsg = '<p>'.$nousererror.'</p>';
	$output = false;
}


if (strlen($instance['addclass']) >= 1) {
	$addclass = ' class="'.$instance['addclass'].'"';
}


if (!$instance['type']) {
	$type = ' widget';
}
else {
	$type = ' '.$instance['type'];
}

$ret .= '<div class="iperssdiv'.$default.$custom.$type.'"><ul'.$addclass.'>';


if($output == true) {
	$ret .= '<li class="iperssuser"><a href="'.$link.'">'.$user.'</a></li>';

	foreach ($f->get_items(0, $instance['number']) as $item) {
		$title = str_replace(array('&lt;','&gt;'),'',
			$item->get_title());
		$date = $item->get_date($instance['datefmt']);
		$tn = gettn($item, $instance['imgsize']);
		$link = $item->get_link();
		$ret .= '<li class="iperssimg">'.
			'<h3>'.$title.'</h3>'.
			'<a href="'.$link.'">'.
			'<img src="'.$tn.'" title="'.$title.'" '.
			'alt="'.$title.'"/></a>'.
			'<em>'.__($date).'</em>'.
			'</li>';
	}
}
else {
	if (!$errormsg) {
		$errormsg = '<p>'.$unhandlederror.'</p>';
	}
	$ret .= '<li class="ipersserror">'.$errormsg.'</li>';

}


$ret .= '<li class="iperssclearfix"></li>';
if ($instance['poweredby'] == 'y') {
	$ret .= '<li class="iperssinfo"><a href="http://iperss.0x7be.de">'.
		$poweredbylink.'</a></li>';
}
$ret .= '</ul></div>';


?>
