<?php

function iperss_shortcode($instance) {
	$def = array(
		'title' => __('ipeRSS', 'iperss'),
		'number' => 6,
		'user' => '',
		'lang' => 'en',
		'imgsize' => 't',
		'datefmt' => 'Y-m-d\TH:i:s',
		'customcss' => '',
		'defaultcss' => 'y',
		'poweredby' => '',
		'addclass' => '',
		'marginforcefix' => ''
	);


	$instance = shortcode_atts($def, $instance);


	if ($instance['imgsize'] == 's')
		$instance['imgsize'] = 100;
	elseif ($instance['imgsize'] == 'm')
		$instance['imgsize'] = 240;
	elseif ($instance['imgsize'] == 'l')
		$instance['imgsize'] = 1024;

	# Yes, false and true are strings in this case!
	if ($instance['customcss'] == 'true')
		$instance['customcss'] = 'y';
	if ($instance['defaultcss'] != 'false')
		$instance['defaultcss'] = 'y';

	# TODO: uncomment before release
	#print_r($instance);

	if ($instance['marginforcefix']) {
		$instance['type'] = 'shortcode marginforcefix';
	}
	else {
		$instance['type'] = 'shortcode';
	}
	include('iperss.php');
	return $ret;
}


add_shortcode('iperss', 'iperss_shortcode');

?>
